VERSION 5.00
Begin VB.Form frmFilters 
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "Filters"
   ClientHeight    =   5880
   ClientLeft      =   60
   ClientTop       =   330
   ClientWidth     =   7260
   Icon            =   "frmFilters.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   392
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   484
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox chkEnable 
      Caption         =   "&Enable filtering"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   5520
      Width           =   3375
   End
   Begin VB.TextBox txtCode 
      Height          =   5295
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   120
      Width           =   6975
   End
End
Attribute VB_Name = "frmFilters"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Copyright (C) 2006 Kristian. S.Stangeland

' This program is free software; you can redistribute it and/or
' modify it under the terms of the GNU General Public License
' as published by the Free Software Foundation; either version 2
' of the License, or (at your option) any later version.

' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.

' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

' The event class to use
Public refEvents As clsEvents

' Default process-code
Private sDefault As String

Private Sub Form_Load()

    ' Default values
    sDefault = "Function ElementInvoked(Index)" & vbCrLf & vbCrLf & _
     "   ElementInvoked = True ' Allow this element" & vbCrLf & vbCrLf & "End Sub"

    ' Initialize the language
    Language.ProcessForm Me

End Sub

Private Sub Form_Resize()

    ' Resize the to componements of this form
    txtCode.Width = Me.ScaleWidth - 16
    txtCode.Height = Me.ScaleHeight - chkEnable.Height - 24
    chkEnable.Top = txtCode.Top + txtCode.Height + 8

End Sub

Public Sub Update()
  
    ' Updates the two controls
    chkEnable.Value = IIf(refEvents.EnableProcessor, 1, 0)
    txtCode.Text = refEvents.ElementProcessor
    txtCode.Enabled = refEvents.EnableProcessor

    ' Use default value if code is empty
    If txtCode.Text = "" Then
        txtCode.Text = sDefault
    End If

End Sub

Public Sub SaveAll()

    ' Saves the content of the controls
    refEvents.ElementProcessor = txtCode.Text
    refEvents.EnableProcessor = CBool(chkEnable.Value = 1)
    txtCode.Enabled = refEvents.EnableProcessor

End Sub

Private Sub txtCode_Change()

    ' Save the content to the control
    SaveAll

End Sub

Private Sub chkEnable_Click()

    ' As the above
    SaveAll

End Sub

Private Sub chkEnable_KeyDown(KeyCode As Integer, Shift As Integer)

    ' Just the same :)
    SaveAll
    
End Sub
